Đến nội dung


Hình ảnh
- - - - -

xuất toạ độ ra file text


  • Please log in to reply
4 replies to this topic

#1 cadthanyeu

cadthanyeu

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 October 2008 - 11:42 AM

Chào các bạn. Tôi mới download trên diễn đàn lisp xuất toạ độ ra file text bằng cách pick từng điểm. Nay tôi muốn 1 lisp tự động
chọn tất cả các line (hoặc polyline) có trên bản vẽ, lấy toạ độ và xuất ra file text 1 cáh tự động mà không phải Pick từng điểm.
và đọc số liệu toạ độ từ file txt vào bản vẽ (có cả số thứ tự text cho từng điểm tải vào bản vẽ ở 1 lớp là code. ví dụ point1 thì ứng với nó là diem1, point2 là diem2 ...)
mong các cao thủ chỉ giáo.
Sau đây là lisp tôi tải được trên diễn đàn.


(defun c:xy (/ x y coc i p str f)
(setq fn (getfiled "ghi to¹ ®é ra file " "Toa_do" "txt" 1))
(setq f (open fn "w"))
(write-line fn f)
(write-line (strcat "To¹ ®é" "\t\t" "x" "\t\t" "y") f)


(setq i 0)
(while (setq p (getpoint "\n Pick point:"))
(setq x (rtos (car p) 2 3))
(setq y (rtos (cadr p) 2 3))
(Setq i (1+ i))
(setq coc (strcat "§iÓm thø " (if (< i 10) (strcat "0" (itoa i)) (itoa i))))
(setq str (strcat coc "\t" x "\t" y))
(prompt str)
(write-line str f)
)


(close f)
(startapp "C:\\windows\\Notepad.exe" fn)
)

(defun c:lpt (/ x y coc i p str f)



(setq fn (getfiled "Doc so lieu tu file " "Toa_do" "txt" 2))
(setq f (open fn "r"))
(read-line f)
(read-line f)

(command "undo" "begin")
(setq i 0)
(while (setq str (read-line f))
(setq x (distof (substr str (- (strlen str) 10) 11)))
(setq y (distof (substr str (- (strlen str) 21) 11)))
(setq coc (substr str 1 6))

(command "Point" (setq p (list y x)))
;(command "text" p "" "" coc)

)
(command "undo" "end")

(close f)

)
  • 0

#2 bktec84

bktec84

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 March 2009 - 04:47 PM

Tôi cũng đang có vấn đề quan tâm như bạn: Tôi cần xuất toạ độ của các điểm trên đường pline và đường spline ra file text.
Nếu bạn tìm thấy lisp xuất toạ của các điểm trên đường pline và spline thì gửi cho mình xin nhé.
Thank you!
  • 0

#3 truong14

truong14

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 March 2009 - 05:15 PM

Bạn copy thư mục SNTCVN (VBA) vào ổ chạy win, mở cad load application để tải các đuôi dvb, khởi động lại cad bạn sẽ thấy trên thanh menu có thêm SNl thế là xong phần thiết lập. thực hiện lệnh SavePointPL và chọn pline để được kq như mong muốn. Chúc bạn thành công!
Vào đây để tải http://www.cadviet.c...iles/SNTCVN.zíp
  • 0

#4 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 11 March 2009 - 07:32 PM

Bạn copy thư mục SNTCVN (VBA) vào ổ chạy win, mở cad load application để tải các đuôi dvb, khởi động lại cad bạn sẽ thấy trên thanh menu có thêm SNl thế là xong phần thiết lập. thực hiện lệnh SavePointPL và chọn pline để được kq như mong muốn. Chúc bạn thành công!
Vào đây để tải http://www.cadviet.c...iles/SNTCVN.zíp

Nhờ bạn có hướng dẫn của chương trình này cho mình xin với .
Cám ơn
  • 0

#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 March 2009 - 07:33 PM

Bạn copy thư mục SNTCVN (VBA) vào ổ chạy win, mở cad load application để tải các đuôi dvb, khởi động lại cad bạn sẽ thấy trên thanh menu có thêm SNl thế là xong phần thiết lập. thực hiện lệnh SavePointPL và chọn pline để được kq như mong muốn. Chúc bạn thành công!
Vào đây để tải http://www.cadviet.c...iles/SNTCVN.zíp

Chào bạn Truong 14,
Bạn làm ơn check lại cái link bạn cho với nhé, click vào toàn thấy thế này thôi.
Not Found

The requested URL /SNTCVN.zíp was not found on this server.
Thanks,
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.